%global pypi_name ansible-builder
%global module_name ansible_builder
%global commitId e991c1a098b8db044fcf87e2df8a424542590dd1

Name:           %{pypi_name}
Version:        3.0.1
Release:        1%{?dist}
Summary:        An Ansible execution environment builder

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-builder
Source0:        ansible-builder-e991c1a098b8db044fcf87e2df8a424542590dd1.tar.gz
BuildArch:      noarch

Patch0:         microdnf_default_package_manager.patch
Patch1:         image_path_override.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools <= 67.7.2
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-wheel

Requires:       python%{python3_pkgversion}-bindep
Requires:       python%{python3_pkgversion}-jsonschema
Requires:       python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}-requirements-parser

Recommends:     podman

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
Obsoletes:      python39-%{pypi_name} < %{version}-%{release}
%endif

%description
An Ansible execution environment builder

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==63.1.0

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{module_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files
%defattr(-,root,root)
%license LICENSE.md
%doc README.md
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Wed Feb 21 2024 Satoe Imaishi <simaishi@redhat.com> - 3.0.1-1
- Update to 3.0.1

* Thu Nov 02 2023 Dimitri Savineau <dsavinea@redhat.com> - 3.0.0-2
- Set microdnf as default package manager

* Mon May 15 2023 Satoe Imaishi <simaishi@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Tue Nov 01 2022 Satoe Imaishi <simaishi@redhat.com> - 1.2.0-1
- 1.2.0-1 build

* Wed Jul 13 2022 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-3
- Obsolete python-ansible-builder

* Thu May 05 2022 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- 1.1.0-1 build

* Wed Oct 27 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-2
- 1.0.1-2 build

* Fri Jul 02 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-1
- 1.0.1-1 build

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- 1.0.0-1 build
